Package org.apache.synapse.transport.passthru

## Class TargetHandler

- java.lang.Object
- - org.apache.synapse.transport.passthru.TargetHandler

- All Implemented Interfaces:
    `org.apache.http.nio.NHttpClientEventHandler`

      public class TargetHandler
      extends Object
      implements org.apache.http.nio.NHttpClientEventHandler

  This class is handling events from the transport -- > client.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `CONNECTION_POOL` |
    `static String` | `MESSAGE_SIZE_VALIDATION` |
    `static String` | `PROPERTY_FILE` |
    `static String` | `VALID_MAX_MESSAGE_SIZE` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TargetHandler​(DeliveryAgent deliveryAgent, ClientConnFactory connFactory, TargetConfiguration configuration)` |
    `TargetHandler​(DeliveryAgent deliveryAgent, ClientConnFactory connFactory, TargetConfiguration configuration, List<StreamInterceptor> interceptors)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `closed​(org.apache.http.nio.NHttpClientConnection conn)` |
    `void` | `connected​(org.apache.http.nio.NHttpClientConnection conn, Object o)` |
    `void` | `endOfInput​(org.apache.http.nio.NHttpClientConnection conn)` | Invoked when the backend terminates the outbound HTTP connection unexpectedly.
    `void` | `exception​(org.apache.http.nio.NHttpClientConnection conn, Exception ex)` |
    `TargetConfiguration` | `getTargetConfiguration()` |
    `void` | `inputReady​(org.apache.http.nio.NHttpClientConnection conn, org.apache.http.nio.ContentDecoder decoder)` |
    `void` | `outputReady​(org.apache.http.nio.NHttpClientConnection conn, org.apache.http.nio.ContentEncoder encoder)` |
    `void` | `requestReady​(org.apache.http.nio.NHttpClientConnection conn)` |
    `void` | `responseReceived​(org.apache.http.nio.NHttpClientConnection conn)` |
    `void` | `setConnFactory​(ClientConnFactory connFactory)` |
    `void` | `timeout​(org.apache.http.nio.NHttpClientConnection conn)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PROPERTY_FILE

          public static final String PROPERTY_FILE

      See Also:
        Constant Field Values

    - #### MESSAGE_SIZE_VALIDATION

          public static final String MESSAGE_SIZE_VALIDATION

      See Also:
        Constant Field Values

    - #### VALID_MAX_MESSAGE_SIZE

          public static final String VALID_MAX_MESSAGE_SIZE

      See Also:
        Constant Field Values

    - #### CONNECTION_POOL

          public static final String CONNECTION_POOL

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### TargetHandler

          public TargetHandler​(DeliveryAgent deliveryAgent,
                               ClientConnFactory connFactory,
                               TargetConfiguration configuration)

    - #### TargetHandler

          public TargetHandler​(DeliveryAgent deliveryAgent,
                               ClientConnFactory connFactory,
                               TargetConfiguration configuration,
                               List<StreamInterceptor> interceptors)

  - ### Method Detail

    - #### connected

          public void connected​(org.apache.http.nio.NHttpClientConnection conn,
                                Object o)

      Specified by:
        `connected` in interface `org.apache.http.nio.NHttpClientEventHandler`

    - #### requestReady

          public void requestReady​(org.apache.http.nio.NHttpClientConnection conn)

      Specified by:
        `requestReady` in interface `org.apache.http.nio.NHttpClientEventHandler`

    - #### outputReady

          public void outputReady​(org.apache.http.nio.NHttpClientConnection conn,
                                  org.apache.http.nio.ContentEncoder encoder)

      Specified by:
        `outputReady` in interface `org.apache.http.nio.NHttpClientEventHandler`

    - #### responseReceived

          public void responseReceived​(org.apache.http.nio.NHttpClientConnection conn)

      Specified by:
        `responseReceived` in interface `org.apache.http.nio.NHttpClientEventHandler`

    - #### inputReady

          public void inputReady​(org.apache.http.nio.NHttpClientConnection conn,
                                 org.apache.http.nio.ContentDecoder decoder)

      Specified by:
        `inputReady` in interface `org.apache.http.nio.NHttpClientEventHandler`

    - #### closed

          public void closed​(org.apache.http.nio.NHttpClientConnection conn)

      Specified by:
        `closed` in interface `org.apache.http.nio.NHttpClientEventHandler`

    - #### timeout

          public void timeout​(org.apache.http.nio.NHttpClientConnection conn)

      Specified by:
        `timeout` in interface `org.apache.http.nio.NHttpClientEventHandler`

    - #### endOfInput

          public void endOfInput​(org.apache.http.nio.NHttpClientConnection conn)
                          throws IOException

      Invoked when the backend terminates the outbound HTTP connection unexpectedly. Logs diagnostics, marks the connection CLOSED, shuts it down, and routes the error to the standard fault handler.
      Specified by:
        `endOfInput` in interface `org.apache.http.nio.NHttpClientEventHandler`
      Parameters:
        `conn` - the target `NHttpClientConnection` that ended input
      Throws:
        `IOException` - if an error occurs while closing the connection

    - #### exception

          public void exception​(org.apache.http.nio.NHttpClientConnection conn,
                                Exception ex)

      Specified by:
        `exception` in interface `org.apache.http.nio.NHttpClientEventHandler`

    - #### setConnFactory

          public void setConnFactory​(ClientConnFactory connFactory)

    - #### getTargetConfiguration

          public TargetConfiguration getTargetConfiguration()